Package org.apache.wiki.plugin

## Class TableOfContents

- java.lang.Object
- - org.apache.wiki.plugin.TableOfContents

All Implemented Interfaces:
  `Plugin`, `HeadingListener`

    public class TableOfContents
    extends java.lang.Object
    implements Plugin, HeadingListener

Provides a table of contents.

Parameters :

- title - The title of the table of contents.
- numbered - if true, generates automatically numbers for the headings.
- start - If using a numbered list, sets the start number.
- prefix - If using a numbered list, sets the prefix used for the list.

Since:
  2.2

### Field Summary

Fields
`static java.lang.String` `PARAM_NUMBERED` Parameter name for setting whether the headings should be numbered.
`static java.lang.String` `PARAM_PREFIX` Parameter name for setting what the prefix for the heading is.
`static java.lang.String` `PARAM_START` Parameter name for setting where the numbering should start.
`static java.lang.String` `PARAM_TITLE` Parameter name for setting the title.

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

### Constructor Summary

Constructors
`TableOfContents()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `execute​(Context context, java.util.Map<java.lang.String,​java.lang.String> params)`
`void` `headingAdded​(Context context, Heading hd)` Is called whenever a heading is encountered in the stream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PARAM_TITLE

    public static final java.lang.String PARAM_TITLE

Parameter name for setting the title.

See Also:
  Constant Field Values

#### PARAM_NUMBERED

    public static final java.lang.String PARAM_NUMBERED

Parameter name for setting whether the headings should be numbered.

See Also:
  Constant Field Values

#### PARAM_START

    public static final java.lang.String PARAM_START

Parameter name for setting where the numbering should start.

See Also:
  Constant Field Values

#### PARAM_PREFIX

    public static final java.lang.String PARAM_PREFIX

Parameter name for setting what the prefix for the heading is.

See Also:
  Constant Field Values

### Constructor Detail

#### TableOfContents

    public TableOfContents()

### Method Detail

#### headingAdded

    public void headingAdded​(Context context,
                             Heading hd)

Is called whenever a heading is encountered in the stream.

Specified by:
  `headingAdded` in interface `HeadingListener`
Parameters:
  `context` - The WikiContext
  `hd` - The heading which was just encountered.

#### execute

    public java.lang.String execute​(Context context,
                                    java.util.Map<java.lang.String,​java.lang.String> params)
                             throws PluginException

Specified by:
  `execute` in interface `Plugin`
Throws:
  `PluginException`